=== debian/changelog ===
texlive-base (2016.20160819-2) unstable; urgency=medium

  * fix package moving via unreleased tl-unicodetex (Closes: #834824)

 -- Norbert Preining <preining@debian.org>  Fri, 19 Aug 2016 23:53:03 +0900

texlive-base (2016.20160819-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Fri, 19 Aug 2016 12:16:58 +0900

texlive-base (2016.20160814-1) experimental; urgency=medium

  * new upstream checkout
  * adapt to takeover of tex4ht

 -- Norbert Preining <preining@debian.org>  Sun, 14 Aug 2016 22:18:00 +0900

texlive-base (2016.20160805-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sat, 06 Aug 2016 09:16:53 +0900

texlive-base (2016.20160623-1) unstable; urgency=medium

  * new upstream checkout - first after the release of TL2016

 -- Norbert Preining <preining@debian.org>  Thu, 23 Jun 2016 11:15:27 +0900

texlive-base (2016.20160523-1) unstable; urgency=medium

  * new upstream checkout - TL 2016 (next trial)
    - fix lost mptopdf file syst-tex.mkii (Closes: #824835)

 -- Norbert Preining <preining@debian.org>  Mon, 23 May 2016 10:44:13 +0900

texlive-base (2016.20160520-1) unstable; urgency=medium

  * new upstream checkout - TL 2016 (first trial)
  * hyphenation files have moved to separate packages contained
    in tl-lang-*. Add replaces/breaks (Closes: #824803)

 -- Norbert Preining <preining@debian.org>  Fri, 20 May 2016 10:02:35 +0900

texlive-base (2016.20160512-1) unstable; urgency=medium

  * new upstream checkout of tlpretest
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 12 May 2016 10:29:59 +0900

texlive-base (2016.20160417-1) experimental; urgency=medium

  * new upstream checkout of tlpretest
  * remove stale menu file for texlive-base, replace with
    desktop file for texdoctk (Closes: #820828)
    (Thanks to Pino Toscano)

 -- Norbert Preining <preining@debian.org>  Sun, 17 Apr 2016 16:57:12 +0900
