=== debian/changelog ===
texlive-base (2016.20170123-5) unstable; urgency=medium

  * update LaTeX to patchlevel 3 - fixes for TU encoding

 -- Norbert Preining <preining@debian.org>  Sat, 04 Mar 2017 15:53:36 +0900

texlive-base (2016.20170123-4) unstable; urgency=medium

  * fix brown paper bag release of fontspec by including
    fontspec 2.6 (\emph was broken!) (Closes: #855491)
  * fix typo in oberdiek box drawing macros (Closes: #855390)

 -- Norbert Preining <preining@debian.org>  Mon, 20 Feb 2017 13:37:50 +0900

texlive-base (2016.20170123-3) unstable; urgency=medium

  * fix regression in LaTeX 2017/01/01 where ligatures are not
    enabled in XeLaTeX (Closes: #854930)

 -- Norbert Preining <preining@debian.org>  Sun, 12 Feb 2017 20:04:51 +0900

texlive-base (2016.20170123-2) unstable; urgency=medium

  * fix wrong replace/break statements (Closes: #852599)
  * tighten inter-package dependencies
  * add fonts-lmodern to dependency of texlive-latex-base (change since
    the introduction of TU encoding) (Closes: #853119)

 -- Norbert Preining <preining@debian.org>  Thu, 02 Feb 2017 22:14:39 +0900

texlive-base (2016.20170123-1) unstable; urgency=medium

  * new upstream checkout
    - filehook needed by unicode-math moved to tl-latex-recommended
    - several file placement errors fixed

 -- Norbert Preining <preining@debian.org>  Mon, 23 Jan 2017 10:44:49 +0900

texlive-base (2016.20170118-1) unstable; urgency=medium

  * new upstream checkout
  * renamed dep: libtcltk-ruby to ruby-tcltk (Closes: #847684)

 -- Norbert Preining <preining@debian.org>  Wed, 18 Jan 2017 08:56:22 +0900

texlive-base (2016.20161130-1) unstable; urgency=medium

  * new upstream checkout
    - remove mpost from list of commands that are allowed in 
      restricted write18 mode

 -- Norbert Preining <preining@debian.org>  Wed, 30 Nov 2016 13:18:09 +0900

texlive-base (2016.20161103-1) unstable; urgency=medium

  * new upstream checkout
    - remove non-free ehandler.ps in dvips files (Closes: #775911)
    - fix parallel mktexdir execution (Closes: #794228)

 -- Norbert Preining <preining@debian.org>  Thu, 03 Nov 2016 11:50:45 +0900

texlive-base (2016.20161008-1) unstable; urgency=medium

  * new upstream checkout
  * make texlive-full depend on biber and asymptote (Closes: #834901)
  * silence texdoctk warning about colors (Closes: #835153)
  * replace/break against texlive-common which might be left over
    from old wheezy upgrades (Closes: #836995)

 -- Norbert Preining <preining@debian.org>  Sat, 08 Oct 2016 11:07:30 +0900
