=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
 Standards-Version: 3.9.8
 Homepage: http://www.tug.org/texlive/
@@ -11,12 +11,13 @@
 Package: texlive-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ucf, tex-common (>= 6), libpaper-utils, xdg-utils, texlive-binaries (>= 2016.20160513.41080-5)
-Conflicts: texlive-bibtex-extra (<< 2016), texlive-pstricks (<< 2016), texlive-formats-extra (<< 2016), texlive-omega (<< 2016), texlive-metapost (<< 2016), etoolbox (<< 2016), texlive-full (<< 2016), luasseq (<< 2015), texlive-lang-english (<< 2016), texlive-generic-recommended (<< 2016), texlive-lang-all (<< 2016), texlive-pictures-doc (<< 2016), texlive-luatex (<< 2016), texlive-extra-utils (<< 2016), texlive-pstricks-doc (<< 2016), texlive-lang-greek (<< 2016), texlive-plain-extra (<< 2016), texlive (<< 2016), texlive-metapost-doc (<< 2016), texlive-lang-portuguese (<< 2016), texlive-base (<< 2016), texlive-music (<< 2016), texlive-latex-recommended (<< 2016), texlive-font-utils (<< 2016), texlive-fonts-extra (<< 2016), luasseq (<< 2016), texlive-lang-spanish (<< 2016), texlive-latex-extra (<< 2016), texlive-games (<< 2016), texlive-lang-arabic (<< 2016), texlive-lang-other (<< 2016), texlive-humanities (<< 2016), texlive-latex-base-doc (<< 2016), texlive-lang-polish (<< 2016), texlive-lang-czechslovak (<< 2016), texlive-lang-chinese (<< 2016), texlive-binaries (<< 2016.20160513.41080-5), texlive-fonts-recommended-doc (<< 2016), texlive-lang-cyrillic (<< 2016), texlive-lang-european (<< 2016), texlive-publishers (<< 2016), texlive-htmlxml (<< 2016), texlive-lang-cjk (<< 2016), texlive-lang-french (<< 2016), texlive-lang-korean (<< 2016), texlive-generic-extra (<< 2016), texlive-humanities-doc (<< 2016), texlive-fonts-extra-doc (<< 2016), texlive-lang-italian (<< 2016), etoolbox (<< 2015), texlive-xetex (<< 2016), texlive-lang-african (<< 2016), texlive-lang-german (<< 2016), tex4ht (<< 20160814), texlive-math-extra (<< 2016), texlive-latex-recommended-doc (<< 2016), texlive-science (<< 2016), texlive-latex-base (<< 2016), texlive-lang-indic (<< 2016), texlive-science-doc (<< 2016), texlive-publishers-doc (<< 2016), texlive-lang-japanese (<< 2016), texlive-fonts-recommended (<< 2016), texlive-pictures (<< 2016), texlive-latex-extra-doc (<< 2016)
+Depends: ${misc:Depends}, libpaper-utils, tex-common (>= 6), texlive-binaries (>= 2016.20160513.41080-7), ucf, xdg-utils
+Conflicts: etoolbox (<< 2015), etoolbox (<< 2016.20170123-2), luasseq (<< 2015), luasseq (<< 2016.20170123-2), tex4ht (<< 20160814), texlive (<< 2016.20170123-2), texlive-base (<< 2016.20170123-2), texlive-bibtex-extra (<< 2016.20170123-2), texlive-binaries (<< 2016.20160513.41080-7), texlive-extra-utils (<< 2016.20170123-2), texlive-font-utils (<< 2016.20170123-2), texlive-fonts-extra (<< 2016.20170123-2), texlive-fonts-extra-doc (<< 2016.20170123-2), texlive-fonts-recommended (<< 2016.20170123-2), texlive-fonts-recommended-doc (<< 2016.20170123-2), texlive-formats-extra (<< 2016.20170123-2), texlive-full (<< 2016.20170123-2), texlive-games (<< 2016.20170123-2), texlive-generic-extra (<< 2016.20170123-2), texlive-generic-recommended (<< 2016.20170123-2), texlive-htmlxml (<< 2016.20170123-2), texlive-humanities (<< 2016.20170123-2), texlive-humanities-doc (<< 2016.20170123-2), texlive-lang-african (<< 2016.20170123-2), texlive-lang-all (<< 2016.20170123-2), texlive-lang-arabic (<< 2016.20170123-2), texlive-lang-chinese (<< 2016.20170123-2), texlive-lang-cjk (<< 2016.20170123-2), texlive-lang-cyrillic (<< 2016.20170123-2), texlive-lang-czechslovak (<< 2016.20170123-2), texlive-lang-english (<< 2016.20170123-2), texlive-lang-european (<< 2016.20170123-2), texlive-lang-french (<< 2016.20170123-2), texlive-lang-german (<< 2016.20170123-2), texlive-lang-greek (<< 2016.20170123-2), texlive-lang-indic (<< 2016.20170123-2), texlive-lang-italian (<< 2016.20170123-2), texlive-lang-japanese (<< 2016.20170123-2), texlive-lang-korean (<< 2016.20170123-2), texlive-lang-other (<< 2016.20170123-2), texlive-lang-polish (<< 2016.20170123-2), texlive-lang-portuguese (<< 2016.20170123-2), texlive-lang-spanish (<< 2016.20170123-2), texlive-latex-base (<< 2016.20170123-2), texlive-latex-base-doc (<< 2016.20170123-2), texlive-latex-extra (<< 2016.20170123-2), texlive-latex-extra-doc (<< 2016.20170123-2), texlive-latex-recommended (<< 2016.20170123-2), texlive-latex-recommended-doc (<< 2016.20170123-2), texlive-luatex (<< 2016.20170123-2), texlive-metapost (<< 2016.20170123-2), texlive-metapost-doc (<< 2016.20170123-2), texlive-music (<< 2016.20170123-2), texlive-omega (<< 2016.20170123-2), texlive-pictures (<< 2016.20170123-2), texlive-pictures-doc (<< 2016.20170123-2), texlive-plain-extra (<< 2016.20170123-2), texlive-pstricks (<< 2016.20170123-2), texlive-pstricks-doc (<< 2016.20170123-2), texlive-publishers (<< 2016.20170123-2), texlive-publishers-doc (<< 2016.20170123-2), texlive-science (<< 2016.20170123-2), texlive-science-doc (<< 2016.20170123-2), texlive-xetex (<< 2016.20170123-2)
 Recommends: lmodern (>= 0.93.3)
 Provides: dvipdfmx
-Suggests: perl-tk, gv | postscript-viewer, xpdf-reader | pdf-viewer, ghostscript
-Breaks: texlive-lang-english (<< 2016), texlive-lang-greek (<< 2016), texlive-lang-portuguese (<< 2016), texlive-lang-spanish (<< 2016), texlive-lang-other (<< 2016), texlive-lang-polish (<< 2016), texlive-lang-chinese (<< 2016), texlive-lang-czechslovak (<< 2016), texlive-lang-european (<< 2016), texlive-lang-cyrillic (<< 2016), texlive-lang-french (<< 2016), texlive-lang-italian (<< 2016), texlive-lang-african (<< 2016), texlive-lang-german (<< 2016), texlive-lang-indic (<< 2016)
+Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf-reader | pdf-viewer
+Replaces: texlive-common (<< 2013)
+Breaks: texlive-common (<< 2013)
 Description: TeX Live: Essential programs and files
  These files are regarded as basic for any TeX system, covering plain TeX 
  macros, Computer Modern fonts, and configuration for common drivers; no 
@@ -103,8 +104,8 @@
 Package: texlive-generic-recommended
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), texlive-base (>= 2016), ${misc:Depends}
-Breaks: texlive-base (<< 2016)
+Depends: ${misc:Depends}, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2)
+Breaks: texlive-base (<< 2016.20170123-2)
 Description: TeX Live: Generic recommended packages
  Recommended packages that work with multiple formats.
  .
@@ -131,9 +132,9 @@
 Package: texlive-latex-base
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-base (>= 2016), ${misc:Depends}, texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-5)
+Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2016.20170123-2), texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7)
 Recommends: texlive-latex-base-doc
-Breaks: texlive-base (<< 2016)
+Breaks: texlive-base (<< 2016.20170123-2)
 Description: TeX Live: LaTeX fundamental packages
  These packages are either mandated by the core LaTeX team, or very widely 
  used and strongly recommended in practice.
@@ -199,12 +200,12 @@
 Package: texlive-latex-recommended
 Architecture: all
 Multi-Arch: foreign
-Depends: texlive-latex-base (>= 2016), ${misc:Depends}, texlive-base (>= 2016), texlive-binaries (>= 2016.20160513.41080-5)
+Depends: ${misc:Depends}, texlive-base (>= 2016.20170123-2), texlive-binaries (>= 2016.20160513.41080-7), texlive-latex-base (>= 2016.20170123-2)
 Recommends: prosper (>= 1.00.4+cvs.2006.10.22), texlive-latex-recommended-doc
-Provides: texlive-latex3, latex-xcolor, latex-beamer
+Provides: latex-beamer, latex-xcolor, texlive-latex3
 Suggests: texlive-pstricks
-Replaces: texlive-xetex (<< 2014.20141208),  texlive-xetex (<< 2016.20160819-1),  texlive-math-extra (<< 2016.20160819-1)
-Breaks: texlive-base (<< 2016)
+Replaces:  texlive-math-extra (<< 2016.20160819-1),  texlive-xetex (<< 2016.20160819-1), texlive-latex-extra (<< 2016.20170123), texlive-xetex (<< 2014.20141208)
+Breaks:  texlive-math-extra (<< 2016.20160819-1),  texlive-xetex (<< 2016.20160819-1), texlive-base (<< 2016.20170123-2), texlive-latex-extra (<< 2016.20170123), texlive-xetex (<< 2014.20141208)
 Description: TeX Live: LaTeX recommended packages
  A collection of recommended add-on packages for LaTeX which have widespread 
  use.
@@ -244,6 +245,8 @@
  .
  fancyvrb -- Sophisticated verbatim text
  .
+ filehook -- Hooks for input files
+ .
  float -- Improved interface for floating objects
  .
  fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX
@@ -313,20 +316,3 @@
  typehtml -- Typeset HTML directly from LaTeX
  .
  underscore -- Control the behaviour of "_" in text
- .
- unicode-math -- Unicode mathematics support for XeTeX and LuaTeX
- .
- xcolor -- Driver-independent color extensions for LaTeX and pdfLaTeX
- .
- xkeyval -- Extension of the keyval package
- .
- xltxtra -- "Extras" for LaTeX users of XeTeX
- .
- xunicode -- Generate Unicode characters from accented glyphs
-
-Package: texlive-fonts-recommended
-Section: fonts
-Architecture: all
-Multi-Arch: foreign
-Depends: texlive-base (>= 2016), texlive-base (>= 2016), ${misc:Depends}
-Recommends: tex-gyre, texlive-fonts-recommended-doc, tipa (>= 2:1.2-2.1)
